| Server IP : 123.56.80.60 / Your IP : 216.73.216.78 Web Server : Apache/2.4.54 (Win32) OpenSSL/1.1.1s PHP/7.4.33 mod_fcgid/2.3.10-dev System : Windows NT iZhx3sob14hnz7Z 10.0 build 14393 (Windows Server 2016) i586 User : SYSTEM ( 0) PHP Version : 7.4.33 Disable Function : NONE MySQL : OFF | cURL : ON | WGET : OFF | Perl : OFF | Python : OFF | Sudo : OFF | Pkexec : OFF Directory : C:/Program Files/python/Lib/site-packages/Naked/templates/ |
Upload File : |
#!/usr/bin/env python
# encoding: utf-8
# VARS = year
pypush_file_string = """
#!/bin/sh
# Scriptacular - pypush.sh
# Create a Python source distribution and push it to PyPI
# Copyright {{year}} Christopher Simpkins
# MIT License
# Build and push to PyPI
python setup.py sdist upload
# Confirm that it worked
if (( $? )); then
echo "Unable to distribute your release to PyPI" >&2
exit 1
fi
python setup.py bdist_wheel upload
# Confirm that wheel distribution worked
if (( $? )); then
echo "Unable to distribute your wheel to PyPI" >&2
exit 1
fi
# Exit success
exit 0
"""